Subject: [bug#77093] [PATCH rust-team 18/18] doc: Document lockfile importer based Rust packaging workflow.

From: Hilton Chain <[email-masked]>
Date: Tue, 18 Mar 2025 20:36:17 +0800

On Tue, 18 Mar 2025 19:49:54 +0800,
Efraim Flashner wrote:
>
> [1  <text/plain; utf-8 (quoted-printable)>]
> On Tue, Mar 18, 2025 at 03:24:31PM +0800, Hilton Chain wrote:
> > * doc/contributing.texi (Packaging Guidelines)[Rust Crates]: Update
> > documentation.
> >
> > Change-Id: Ic0c6378cf5f5df97d6f8bdd040b486be62c7bddc
> > ---
> >  doc/contributing.texi | 415 +++++++++++++++++++++++++++++++++++++++---
> >  1 file changed, 390 insertions(+), 25 deletions(-)
> >
> > diff --git a/doc/contributing.texi b/doc/contributing.texi
> > index ab4f30d54b..e7c5116a3d 100644
> > --- a/doc/contributing.texi
> > +++ b/doc/contributing.texi
> > @@ -1600,34 +1600,399 @@ Rust Crates
> >  @subsection Rust Crates
> >
> >  @cindex rust
> > -Rust programs standing for themselves are named as any other package, using the
> > -lowercase upstream name.
> > +As currently there's no achievable way to reuse Rust packages as pre-compiled
> > +inputs for other packages at a distribution scale, and our previous approach on
> > +making all Rust dependencies as full packages doesn't cope well with Rust
> > +ecosystem thus causing issues on both contribution and maintenance sides, we
> > +have switched to a different packaging model.
>
> I'm not sure the first paragraph is necessary.

I think we need to clarify why do we only do this for Rust, since similar
workflow can be applied to other ecosystems with a package manager as well.

Thanks for the review, I'll prepare V2 soon.